activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Timothy Bish (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMQ-4394) Can't get module activemq-all with Ivy: org.apache.qpid#proton-jms;0.3.0-fuse-2: not found
Date Thu, 21 Mar 2013 14:09:15 GMT

    [ https://issues.apache.org/jira/browse/AMQ-4394?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13608956#comment-13608956
] 

Timothy Bish commented on AMQ-4394:
-----------------------------------

You'll need to update your IVY configuration so that it can get those new deps from here:

{noformat}
  <repositories>
    <!-- for the proton dependency -->
    <repository>
      <id>com.fusesource.m2</id>
      <url>http://repo.fusesource.com/nexus/content/groups/public/</url>
      <releases><enabled>true</enabled></releases>
      <snapshots><enabled>false</enabled></snapshots>
    </repository>
    <repository>
        <id>com.fusesource.m2.snapshot</id>
        <url>http://repo.fusesource.com/nexus/content/repositories/snapshots/</url>
        <releases><enabled>false</enabled></releases>
        <snapshots><enabled>true</enabled></snapshots>
      </repository>
  </repositories>
{noformat}

                
> Can't get module activemq-all with Ivy: org.apache.qpid#proton-jms;0.3.0-fuse-2: not
found
> ------------------------------------------------------------------------------------------
>
>                 Key: AMQ-4394
>                 URL: https://issues.apache.org/jira/browse/AMQ-4394
>             Project: ActiveMQ
>          Issue Type: Bug
>    Affects Versions: 5.8.0
>         Environment: Apache Ant(TM) version 1.8.4 compiled on May 22 2012
> Apache Ivy 2.3.0
> Java version: 1.6.0_39, vendor: Sun Microsystems Inc.
> Java home: C:\Program Files\Java\jdk1.6.0_39\jre
> Default locale: en_US, platform encoding: Cp1252
> OS name: "windows 7", version: "6.1", arch: "amd64", family: "windows"
>            Reporter: Gary Gregory
>
> If I try to get activemq-all 5.8.0 with:
> {code:xml}
> <ivy:retrieve organisation="org.apache.activemq" module="activemq-all" revision="5.8.0"
pattern="${jmeter.lib}/[artifact]-[type].[ext]" inline="true" />
> {code}
> I get:
> {noformat}
> [ivy:retrieve]          ::::::::::::::::::::::::::::::::::::::::::::::
> [ivy:retrieve]          ::          UNRESOLVED DEPENDENCIES         ::
> [ivy:retrieve]          ::::::::::::::::::::::::::::::::::::::::::::::
> [ivy:retrieve]          :: org.apache.qpid#proton-jms;0.3.0-fuse-2: not found
> [ivy:retrieve]          ::::::::::::::::::::::::::::::::::::::::::::::
> {noformat}
> This worked fine in 5.7.0.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message